Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.yahoo
Class YahooImEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--com.compoze.collab.im.ImEvent
                  |
                  +--com.compoze.collab.yahoo.YahooImEvent

All Implemented Interfaces:
  java.io.Serializable

public class YahooImEvent
extends ImEvent

This class is an extension of IM event that contains events specific to Yahoo.

See Also:
  Serialized Form

Field Summary
`static int` | `BUZZ_RECEIVED` The buzz received event, received when a user has "buzzed" this user from the Yahoo client.
`static int` | `NEW_MAIL` The new mail event, received when a user has received new email in their Yahoo account.

Fields inherited from class com.compoze.collab.im.ImEvent
`FRIEND_UPDATED, INSTANT_MESSAGE_RECEIVED`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`YahooImEvent(java.lang.Object source, int iType)` Constructor.

Method Summary
`int` | `getType()` Gets the event type.

Methods inherited from class com.compoze.collab.im.ImEvent
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BUZZ_RECEIVED

    public static final int BUZZ_RECEIVED

  The buzz received event, received when a user has "buzzed" this user from the Yahoo client. In this case the `source` of the event will be `null`.

### NEW_MAIL

    public static final int NEW_MAIL

  The new mail event, received when a user has received new email in their Yahoo account. In this case the `source` of the event will be an instance of `YahooMailNotification`.

Constructor Detail

### YahooImEvent

    public YahooImEvent(java.lang.Object source,
                        int iType)

  Constructor.
  Parameters:
    `source` - the event source object (not `null`)
    `iType` - either `INSTANT_MESSAGE_RECEIVED` or `FRIEND_UPDATED`

Method Detail

### getType

    public int getType()

  Gets the event type.
  Overrides:
    `getType` in class `ImEvent`
  Returns:
    the type (one of the constants `ImEvent.INSTANT_MESSAGE_RECEIVED`, `ImEvent.FRIEND_UPDATED`, `BUZZ_RECEIVED` or `NEW_MAIL`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 Compoze Software, Inc. All rights reserved.